# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2011 Camptocamp SA (http://www.camptocamp.com)
# All Right Reserved
#
# Author : Yannick Vaucher (Camptocamp)
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
     "name" : "Next action in leads",
     "version" : "1.0",
     "author" : "Camptocamp",
     "category" : "Generic Modules/Others",
     "description":
"""
Adding next action fields to make it easier to use in crm

This module adds:

- Next action and next action fields in crm lead
- Next action and next action fields in crm email wizard
""",
     "website": "http://camptocamp.com",
     "depends" : ['base','crm'],
     "init_xml" : [],
     "demo_xml" : [],
     "update_xml" : [
                    'crm_lead_view.xml',
                    'crm_send_email_view.xml',
                     ],
     "active": False,
     "installable": True
}
